# Assembly

include:
    "../rules/analysis.smk"

rule ANALYSIS:
    input:
        # quast
        expand(
            os.path.join(RESULTS_DIR, "analysis/quast/{rtype_tool}/report.tsv"),
            rtype_tool=["%s/%s" % (rtype, tool) for rtype, tool in READ_ASSEMBLERS]
        ) if "quast" in config["steps_analysis"] else [],
        # cdhit
        expand(
            os.path.join(RESULTS_DIR, "analysis/cdhit/{combi}.faa"),
            combi=["%s_%s__%s_%s" % (p[0][0], p[0][1], p[1][0], p[1][1]) for p in READ_ASSEMBLER_PAIRS]
        ) if "cdhit" in config["steps_analysis"] else [],
        expand(
            os.path.join(RESULTS_DIR, "analysis/cdhit/{combi}.faa"),
            combi=["%s_%s__%s_%s" % (p[1][0], p[1][1], p[0][0], p[0][1]) for p in READ_ASSEMBLER_PAIRS]
        ) if "cdhit" in config["steps_analysis"] else [],
        # blast, circ. contigs
        expand(
            os.path.join(RESULTS_DIR, "analysis/circ_blast/{rtype_tool}/ASSEMBLY.{ctype}.tsv"),
            rtype_tool=["%s/%s" % (rtype, tool) for rtype, tool in READ_ASSEMBLERS],
            ctype=["circ", "compl"]
        ) if "blast_circ" in config["steps_analysis"] else [],
        # mash
        expand(
            os.path.join(RESULTS_DIR, "analysis/mash/{dtype}.dist"),
            dtype=["contigs", "reads"]
        ) if "mash_dist" in config["steps_analysis"] else [],
        # expand(
        #     os.path.join(RESULTS_DIR, "analysis/mash/screen.{rtype_tool}.tsv"),
        #     rtype_tool=["%s.%s" % (rtype, tool) for rtype, tool in READ_ASSEMBLERS]
        # ) if "mash_screen" in config["steps_analysis"] else [],
    output:
        touch("status/analysis.done")
