# Preprocessing reads before de novo assembly

include:
    '../rules/preprocessing.smk'

if not NO_BASECALLING:
    include:
        "../rules/basecalling.smk"

rule PREPROCESSING_LR:
    input:
        basecalling=[] if NO_BASECALLING else [os.path.join(RESULTS_DIR, "preproc/metag/lr/lr.fastq.gz")],
        nanostats=os.path.join(RESULTS_DIR, "qc/metag/lr/NanoStats.txt")
    output:
        touch("status/preprocessing_lr.done")

rule PREPROCESSING_SR:
    input:
        fastp=expand(os.path.join(RESULTS_DIR, "preproc/{mtype}/sr/{rid}.fastp.fastq.gz"), mtype=META_TYPES, rid=["R1", "R2"]),
        fastqc=expand(os.path.join(RESULTS_DIR, "qc/{mtype}/sr/{rid}.fastp_{ext}"), mtype=META_TYPES, rid=["R1", "R2"], ext=["fastqc.html", "fastqc.zip"]),
        norrna=expand(os.path.join(RESULTS_DIR, "preproc/metat/sr/{rid}.norrna.fastq.gz"), rid=["R1", "R2"]) if "metat" in META_TYPES else []
    output:
        touch("status/preprocessing_sr.done")
